/* Module:          SQLFreeEnv.c
 *
 * Description:     Has been replaced by SQLFreeHandle. 
 *
 * Classes:         
 *
 * API functions:   SQLFreeEnv
 *
 * Comments:        See "notice.txt" for copyright and license information.
 *
 */

#include "driver.h"

SQLRETURN SQL_API SQLFreeEnv(SQLHENV hDrvEnv)
{
	static char *func = "SQLFreeEnv";
	EnvironmentClass *env = (EnvironmentClass *) hDrvEnv;
	
	mylog("**** in SQLFreeEnv: env = %u ** \n", env);

	if (env && EN_Destructor(env))
	{
		mylog("   ok\n");
		return SQL_SUCCESS;
	}

	mylog("    error\n");
	EN_log_error(func, "Error freeing environment", env);
	return SQL_ERROR;
}
